Section ID:
DOC-API-MODEL-schema-1fl5depe11#overview
SubscriptionFilter
Event-body and header conditions selecting webhook events for a subscription.
Meaning and usage
Section ID: DOC-API-MODEL-schema-1fl5depe11#meaning
See the definition above.
Usage profiles
Section ID: DOC-API-MODEL-schema-1fl5depe11#fields
| Usage | Fields and validation |
|---|---|
| In responses | View fields |
In responses
Section ID: DOC-API-MODEL-schema-1fl5depe11#response
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
Section ID: DOC-API-MODEL-schema-1fl5depe11#field-bodySection ID: DOC-API-MODEL-schema-1fl5depe11#response-field-bodybody | Map from string to string | Optional | Event-body matching rules used by the webhook subscription filter. |
Section ID: DOC-API-MODEL-schema-1fl5depe11#field-headersSection ID: DOC-API-MODEL-schema-1fl5depe11#response-field-headersheaders | Map from string to string | Optional | Header-matching rules used to select events for the webhook subscription. |
Where used
Section ID: DOC-API-MODEL-schema-1fl5depe11#where-used
| Reference | Relationship |
|---|---|
| Create a webhook endpoint | POST /api/v1/webhooks/create-endpoint |
| Create a webhook subscription | POST /api/v1/webhooks/create-subscription |
| List webhook subscriptions | POST /api/v1/webhooks/list-subscriptions |
Models containing this value
| Model | Relationship |
|---|---|
| Subscription | Nested in model |
Download the public reference contract.
Document ID: DOC-API-MODEL-schema-1fl5depe11